Mailinglist Archive: opensuse (1839 mails)

< Previous Next >
Re: [opensuse] Error shutting down firefox ( was Kmail, Firefox and konsole do not run )
  • From: Don Raboud <don.raboud@xxxxxxxxxxx>
  • Date: Wed, 29 Sep 2010 08:26:06 -0600
  • Message-id: <201009290826.06574.don.raboud@xxxxxxxxxxx>
On Friday, September 24, 2010 11:58:14 pm Will Stephenson wrote:
On Friday 24 September 2010 22:28:03 Don Raboud wrote:
I see a similar message whenever firefox shuts down.

/usr/lib64/firefox/firefox: symbol lookup error:
/usr/lib64/libkdecore.so.5: undefined symbol: _ZN9QListData6removeEi

There is a bugzilla open about this
<https://bugzilla.novell.com/show_bug.cgi?id=639071>

I'm using KDE45 from the KDE:Release repo and firefox from the Mozilla
repo. I'm not sure where the inconsistency is coming from.

See the "firefox doesn't start" thread from July on this list. We didn't
get a satisfactory conclusion there yet, but I don't think it's related to
KDE 4.5 since the reporter was using 4.4.4 then.

Can you see if disabling plugins helps here? If not I'll have another look
at it next week.

Will

Will,

It seems that maybe libproxy1-config-kde4 is the cause? (see information
below).

I uninstalled that package in YaST (there seemed to be no dependency issues)
and now firefox seems to behave normally. It appears to start reliably
(although that problem was always intermittent so I can't say for sure at this
point). At least the error message goes away when closing normally.

I also notice that this package does not exist in the KDE45 Release repo, only
in the OSS one, so it seems likely to be the problem.

Hopefully that helps.


rpm -qi libproxy1-config-kde4
Name : libproxy1-config-kde4 Relocations: (not relocatable)
Version : 0.4.3 Vendor: openSUSE
Release : 1.3 Build Date: Mon 05 Jul 2010
05:34:25 PM MDT
Install Date: Fri 03 Sep 2010 09:45:57 PM MDT Build Host: build17
Group : System/Libraries Source RPM: libproxy-
plugins-0.4.3-1.3.src.rpm
Size : 23152 License: GPLv2+ ; LGPLv2.1+
Signature : RSA/8, Mon 05 Jul 2010 05:34:57 PM MDT, Key ID b88b2fd43dbdc284
Packager : http://bugs.opensuse.org
URL : http://code.google.com/p/libproxy/
Summary : Libproxy module for KDE configuration
Description :
A module to extend libproxy with capabilities to query KDE4 about proxy
settings.
Distribution: openSUSE 11.3

zypper se -s libproxy1-config-kde4

S | Name | Type | Version | Arch | Repository
--+-----------------------+---------+-----------+--------+------------------
i | libproxy1-config-kde4 | package | 0.4.3-1.3 | x86_64 | openSUSE-11.3-Oss
i | libproxy1-config-kde4 | package | 0.4.3-1.3 | x86_64 | DVD_iso
v | libproxy1-config-kde4 | package | 0.4.3-1.3 | i586 | openSUSE-11.3-Oss

--
Don
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >